Bug 760721 - config editor: negative values cannot be entered for properties of type LONG
config editor: negative values cannot be entered for properties of type LONG
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2011-12-06 15:33 EST by Ian Springer
Modified: 2013-08-31 06:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-31 06:12:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-12-06 15:33:23 EST
As soon as a negative value is entered it is immediately replaced with the value "-". Also, "-" is considered a valid value by the field's validator, but it should not be.
Comment 1 Ian Springer 2011-12-07 14:28:32 EST
Fixed in master - http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=74d3e19.
Comment 2 Sunil Kondkar 2011-12-08 07:35:25 EST
Verified on master build#823 (Version: 4.3.0-SNAPSHOT Build Number: d7ef96e)

Verified on test config editor and test group config editor:

 Entering a negative value in property 'Long' doesn't replace with "-". It accepted a negative value (-9223372036854775807) and successfully saved it.

Marking as verified.
Comment 4 Heiko W. Rupp 2013-08-31 06:12:20 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.